Skip to content
Select themeSelect language

`PUT /v1/org/oidc` — upsert the organization BYO-OIDC config.

PUT
/api/v1/org/oidc
curl --request PUT \
--url https://example.com/api/v1/org/oidc \
--header 'Content-Type: application/json' \
--data '{ "client_id": "example", "client_secret": "example", "issuer_url": "example", "pkce_enabled": true, "scopes": "example", "token_auth_method": "example" }'
Media typeapplication/json
object
client_id
required
string
client_secret
required
string
issuer_url
required
string
pkce_enabled
boolean
scopes
string
token_auth_method
string
Examplegenerated
{
"client_id": "example",
"client_secret": "example",
"issuer_url": "example",
"pkce_enabled": true,
"scopes": "example",
"token_auth_method": "example"
}
Media typeapplication/json
object
client_id
required
string
enabled
required
boolean
issuer_url
required
string
pkce_enabled
required
boolean
scopes
required
string
token_auth_method
required
string
Examplegenerated
{
"client_id": "example",
"enabled": true,
"issuer_url": "example",
"pkce_enabled": true,
"scopes": "example",
"token_auth_method": "example"
}